Bug 241508 - Option SHMConfig on should be added with synpatics drivers
Summary: Option SHMConfig on should be added with synpatics drivers
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: pyxf86config (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-27 00:56 UTC by Roland Wolters
Modified: 2018-04-11 08:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-03 14:50:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Roland Wolters 2007-05-27 00:56:55 UTC
Description of problem:
In case of touchpads the synaptics driver is automatically added to xorg.conf 
which is generated by pyxf86config.
However, the section about the synaptics drivers is missing the option
Option      "SHMConfig" "on"

Without this option the touchpad cannot easily be de/activated on the fly by 
other applications (synclient, ksynaptics).

Comment 1 Matěj Cepl 2007-09-12 00:34:10 UTC
Since this bugzilla report was filed, there have been several major updates,
which may have resolved this issue. Users who have experienced this problem are
encouraged to upgrade their system to the latest version of their distribution
available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.


Comment 2 Roland Wolters 2007-09-12 13:16:12 UTC
The bug is of course still valid - only Fedora 8 will show if it has been 
resolved.

Comment 3 Matthias Clasen 2007-09-14 22:30:15 UTC
My understanding from conversations with X people is that the SHMconfig thing is
a terrible hack and a possible security risk.  

Comment 4 Roland Wolters 2007-09-14 22:58:34 UTC
SHMconfig is required to be able to turn on or off the touch pad. So as a 
result it is a security risk in Linux to be able to turn off the touch pad.

Strange and not very userfriendly.

Comment 5 Roland Wolters 2007-11-03 14:50:19 UTC
Bug closed as WONTFIX.
For the archive: changing the touchpad behaviour is a security risk as long as 
every user can do this without any kind of authentication (which is the case 
with that option).


Note You need to log in before you can comment on or make changes to this bug.